%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%     function:   fnc_calc_PA_eff_fac
%     
%     Calculates the PA effeiency factor, alpha, as function of 
%     modulation order
%     
%     Input:
%     eta: PA drain efficiency
%     b: modulation order vector (or scalar)
%     
%     Output:
%     alpha: Power efficiency vector. Same dimension as b
%     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function alpha = fnc_calc_PA_eff_fac(eta, b)

    indx = find(b <= 2);
    b(indx) = 2;
    ksi = 3*((sqrt(2.^b)-1)./(sqrt(2.^b)+1));
    alpha = ksi/eta - 1;

return