%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%     function:   fnc_calc_P_tx_max
%     
%     Calculates the maximum available transmission power for a
%     given modulation order
%     
%     Input:
%     c_sys: system parameters
%     b: modulation order vector (or scalar)
%     
%     Output:
%     P_tx_max: Max power vector. Same dimension as b
%     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function P_tx_max = fnc_calc_P_tx_max(c_sys, b);

    alph_vec = fnc_calc_PA_eff_fac(c_sys.eta, b);
    P_tx_max = (c_sys.P_max - c_sys.P_ctx)./(1 + alph_vec);

return

