%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%     function:   fnc_calc_T
%     
%     Calcualates the transmission time for each 
%     hop, including the transient time for the receiving node
%     
%     Input:
%     c_sys: system parameters
%     c_sim: simulation parameters
%     b: modulation order vector (or scalar)
%     
%     Output:
%     T_vec: Vector of transmission times. Same dimension as b
%     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function T_vec = fnc_calc_T(c_sys, c_sim, b)
    T_vec = zeros(1,length(b));
    
    K = (c_sys.L_pkt/c_sys.B)*1000;
    T_vec = K./b + c_sys.T_tr;
    
return