%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%     function:   fnc_ch_calc_gain
%     
%     Calculates the channel gain vector
%     
%     Input:
%     G_1: Gain factor
%     k: Path loss exponent
%     M_l: Link margin
%     d: Hop length vector
%     
%     Output:
%     g: Link gains per hop
%     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function g = fnc_ch_calc_gain(G_1,k,M_l,d)

    g = 1./(G_1*d.^k*M_l);

return