%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%     function:   fnc_ch_gain_misad
%     
%     Add link state information estimation error of desired severity. If
%     desired, uniform distribution of the error can be selecteder
%     
%     Input:
%     g: Link gain vector
%     a: Misadjustment severity, in \%
%     gauss: Boolean value. Gaussion-distributed error if 1, uniform if 0
%     
%     Output:
%     g_ad: New, misadjusted link gain vector.
%     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function g_ad = fnc_ch_gain_misad(g,a,gauss)

if (gauss) % Gaussian dist of error
    v_ad = randn(size(g));
else % Uniform dist of error
    v_ad = rand(size(g)) - 0.5;
end

g_ad = g.*(1 + v_ad*a/100);

return