% Brute-force search through all possible transmission schemes for a given
% link.
function res = fnc_linkad_opt(c_sys, c_sim, ch_gains, disc)

res = zeros(c_sim.L_route,2);

% 0: inv. log time slot allocation
% 1: uniform
T_slots = fnc_linkad_time_alloc(c_sim.T, ch_gains, 1); 

for p=1:c_sim.L_route
    
    % NB: b_min and b_max are scalars here!!
    
    % Time constraint limits downwards
    b_min = (c_sys.L_pkt*1000)/((T_slots(p)-c_sys.T_tr)*c_sys.B);
    % Power constraint limits upwards
    b_max = fnc_linkad_find_b_max(c_sys, c_sim, ch_gains(p));
    
    if (disc)
        b_min = ceil(b_min);
        b_max = floor(b_max);
    end
    
    if ( (b_max < b_min) | (b_max == -1))       
        res(p,:) = [-1 0];
    else
        res(p,:) = fnc_linkad_search_b(c_sys, c_sim, b_min, b_max, ch_gains(p), disc);
    end        
    
end

return

