%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%     function:   fnc_show_snr_limits
%     
%     Shows the SNR limits for some modulation orders
%     
%     Input:
%     c_sys: system parameters
%     c_sim: simulation parameters
%     
%     Output:
%     none
%     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function fnc_show_snr_limits(c_sys, c_sim)

    
    b_cont = c_sys.b_min:c_sys.b_stp:c_sys.b_max;
    b_disc = 1:1:c_sys.b_max;
    
    gma_min_d = fnc_calc_snr_min(c_sim.P_b, b_disc, 0);
    gma_min_c = fnc_calc_snr_min(c_sim.P_b, b_cont,0);


    disp(' ')
    disp(['SNR-limits for MQAM, Target BER = ' num2str(c_sim.P_b)])
    disp(['|   b   |   SNR   |   dB   |']) 
    disp(['|-------|---------|--------|'])
    for m=1:c_sys.b_max
        [s1, e1] = sprintf('%-7.0f', m);
        [s2, e2] = sprintf('%-9.1f', (gma_min_d(m)));
        [s3, e3] = sprintf('%-8.3f', (10*log10(gma_min_d(m))));
        disp(['|' s1 '|' s2 '|' s3 '|' ])    
    end
    disp(['|-------|---------|--------|'])

%     figure,plot(b_cont,10*log10(gma_min_c)), grid on
%     hold on
%     stem(1:b_max,10*log10(gma_min_d))

return