%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%     function:   print_route_info
%     
%     Presents route information.
%     
%     Input:
%     d: Hop lengths
%     g: Channel gains
%     g_misad: Channel gains with added misadjustment
%     
%     Output:
%     none
%     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function print_route_info(d, g , g_misad)

    disp(['|---------|---------|----------|---------|-----------|'])
    disp(['|   Hop   |    d    |   g_re   |  g_est  |  est_err  |']) 
    disp(['|---------|---------|----------|---------|-----------|'])
    
for (m=1:length(d))
    g_dev = (100*(g(m)-g_misad(m))/g(m));
    [s_ch, e_ch] = sprintf('|%-9.0f|%-9.2f|%-10.2f|%-9.2f|%-11.1f|',m,d(m),10*log10(g(m)),10*log10(g_misad(m)),g_dev);
    disp(s_ch);
end
    disp(['|---------|---------|----------|---------|-----------|'])
    

return