%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%     function:   print_setup
%     
%     Presents the route configuration details.
%     
%     Input:
%     d: Hop lengths
%     g: Channel gains
%     g_misad: Channel gains with added misadjustment
%     
%     Output:
%     none
%     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function print_setup(c_sys, c_sim, setup)

disp(['|-------|--------|-------|'])
disp(['|  Hop  |  flag  |  Ptx  | ']) 
disp(['|-------|--------|-------|'])
for m=1:c_sim.L_route
    [s_res, e_res] = sprintf('|%-7.0f|%-8.0f|%-7.2f|', m,setup(m,:));
    disp(s_res)    
end
disp(['|-------|--------|-------|'])

return