clc, clear all, close all
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% System parameters (fixed)

    % Reference gain factor 30dB
     G_1 = 10^3;
    % path-loss-exponent
     k = 3.5;
    % Link margin 40dB
     M_l = 10^4;
    % Bandwith [Hz]
     B = 10000;
    % Additive noise power, -174dBm
     sigma_2 = 10^-17.4; 
    % Noise figure
     N_f = 10;
    % Interference power
     I = 0;
    % Packet length [bits]
     L_pkt = 2048;
    % Max Tx power [mW]
     P_max = 250;
    % Transision time [ms]
     T_tr = 5e-3;
    % PA drain efficency parameter
     eta = 0.35;
    % Calculate total noise and interference power [mW]
     N_tot = 2*B*sigma_2*N_f + I;
     
     %%% Circuit power
     
     P_mix = 30.3;
     P_syn = 50;
     P_fil_tx = 2.5;
     P_fil_rx = P_fil_tx;
     P_adc = 6.7;
     P_dac = 15.4;
     P_lna = 20;
     P_ifa = 3;
     
%     Total transmitter circuit power consumption (Constant)
     P_ctx = P_mix + P_syn + P_fil_tx + P_dac;
     P_crx = P_mix + P_syn + P_fil_rx + P_adc + P_lna + P_ifa;

%      P_max = P_max - 0.5*P_ctx;
%      P_ctx = 0.5*P_ctx;
%      P_crx = 0.5*P_crx;

%      Transision circuit power consumption
     P_tr = P_syn;
%      P_tr = 0;
     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% The bit step size
    
    % b: bit per symbol
    
    % Min b
     b_min = 1;
    % Max b
     b_max = 20;
    % b step size (continous mode)
     b_stp = 0.01;
        
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Struct that hold system parameters, known to nodes
c_sys = struct('B', B, 'L_pkt', L_pkt, 'P_max', P_max, 'P_ctx', P_ctx, 'P_crx', P_crx, 'P_tr', P_tr, 'T_tr', T_tr, 'N_tot', N_tot, 'G_1', G_1, 'k', k, 'M_l', M_l, 'b_min', b_min, 'b_max', b_max, 'b_stp', b_stp, 'eta', eta);

% Save wanted constants
save param_sys c_sys

% Clear workspace
clear all


